Loading...
Searching...
No Matches
logging::LogEntry Struct Reference

A log entry. More...

`import <Log.idl;`

## Public Attributes

int | id
| Entry id.
time | timestamp
| Creation time of this entry (UNIX timestamp, UTC)
string | eventClass
| Category (aka event class)
string | message
| Log message.

## Detailed Description

A log entry.

Definition at line 92 of file Log.idl.

## Member Data Documentation

## eventClass

string logging::LogEntry::eventClass

Category (aka event class)

Definition at line 95 of file Log.idl.

## id

int logging::LogEntry::id

Entry id.

Definition at line 93 of file Log.idl.

## message

string logging::LogEntry::message

Log message.

Definition at line 96 of file Log.idl.

## timestamp

time logging::LogEntry::timestamp

Creation time of this entry (UNIX timestamp, UTC)

Definition at line 94 of file Log.idl.

The documentation for this struct was generated from the following file:

- Log.idl